// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Linker for DD arithmetic
//
// make dll file with Visual C++2010
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2012/03/09
// *****************************************************************
mode(-1)
mainpath = get_absolute_file_path('ddlink.sci');
chdir(mainpath);

link('dd.dll','dd_a_dd','c');
link('dd.dll','dd_a_s','c');
link('dd.dll','s_a_dd','c');
link('dd.dll','dd_s_dd','c');
link('dd.dll','dd_s_s','c');
link('dd.dll','s_s_dd','c');
link('dd.dll','dd_m_dd','c');
link('dd.dll','scalar_multi','c');
link('dd.dll','dd_m_s','c');
link('dd.dll','s_m_dd','c');
link('dd.dll','mix_scalar_multi_1','c');
link('dd.dll','mix_scalar_multi_2','c');
link('dd.dll','dd_r_dd','c');
link('dd.dll','dd_r_s','c');
link('dd.dll','s_r_dd','c');

link('dd_nc.dll','ddgauss','c');
link('dd_nc.dll','ddlu','c');
link('dd_nc.dll','ddinv','c');
link('dd_nc.dll','ddip','c');
link('dd_nc.dll','ddsum','c');
link('dd_nc.dll','ddnorm_two','c');

link('dd_ef.dll','ddsqrt','c');
link('dd_ef.dll','ddsin','c');
link('dd_ef.dll','ddcos','c');
link('dd_ef.dll','ddtan','c');
link('dd_ef.dll','ddexp','c');
clear mainpath;
